Win a copy of Re-engineering Legacy Software this week in the Refactoring forum
or Docker in Action in the Cloud/Virtualization forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Doubt in EL?

 
Jessica James
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Folks..

I tried to do the EL example program. But it is not working for me..

My form file: model.jsp


TestBean.jsp file:


I coludn't find out why it is not working for me..
please help me..
 
sreekanth nair
Greenhorn
Posts: 20
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Please read and understand Expression Language once more. Definitely it will help you out in this problem as well as in future
 
Jessica James
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
sorry.. I couldn't find it out ..
Can you help me..
 
Jessica James
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Please somebody help me..
In my jsp file EL is not working ...
 
Prabu Bala
Greenhorn
Posts: 23
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Check your jsp version.I think it will work only in jsp1.2 version.
 
Prabu Bala
Greenhorn
Posts: 23
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Check your jsp version.I think it will work only in jsp1.2 version.
 
Sandeep Krish
Ranch Hand
Posts: 59
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Add this on the top of the page
<%@ page isELIgnored="false" %>
 
Christophe Verré
Sheriff
Posts: 14691
16
Eclipse IDE Ubuntu VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I coludn't find out why it is not working for me.

Could you tell us what is not working ?

About EL, please look at the following:
http://faq.javaranch.com/view?ElOrJstlNotWorkingAsExpected
 
Jessica James
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi..

Actually EL is not working in my JSP file..
I am working in the WSAD IDE..
In the web.xml file the following DOCTYPE definition is there..


I tried to do add the following code in the web.xml and I removed the above code..


But it is showing error..
[ March 15, 2007: Message edited by: Jessica James ]
 
Sandeep Krish
Ranch Hand
Posts: 59
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
To Resolve this error
----------
Window->preferences->validation and uncheck war file validation and xml validation.

You dont need to write WEB.XML in WASD
--------------------------------------

Create a Enterprized application project with a Web module in it. It creates a WEB.XML which has all required entries.

WASD "pampers"
---------------
As WASD creates the web application structure by itself, I always used to ignore the things like, web app structure,web.xml structure, deployment. So I would suggest you to use some simple text editor and Tomcat like server to deploy it.

I myself is a good example for spoiled by WASD
 
Jessica James
Ranch Hand
Posts: 69
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
ok.. Thanks..
 
sreekanth nair
Greenhorn
Posts: 20
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
just get the Error dump which you have got or just let me see your code
 
sreekanth nair
Greenhorn
Posts: 20
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
if you are using the following

<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>

Try to use this

<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>

or vice versa
 
Johan Pelgrim
Ranch Hand
Posts: 105
Android Java Mac
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Jessica, you have to use web-app version 2.4 to be able to use EL. Use this as a header in your web.xml file

<web-app id="YourAppName" version="2.4"
xmlns="http://java.sun.com/xml/ns/j2ee"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee [url=http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">]http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">[/url]
[ March 21, 2007: Message edited by: Johan Pelgrim ]
 
Victor Maehira
Ranch Hand
Posts: 37
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Good morning!
Well, let me share my experience that may be useful! I had similar problems last year when I was using WSAD 5.0.0! This WSAD version has a internal webshpere version 4.0 which doesn�t support EL by default! Which WSAD version are you using?
I know that the choice of IDE and container is very personal, but for the SCWCD exam, I suggest you use tomcat 5.x and eclipse!
Good luck!
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic